Bug Hunting Session
Bug 75609 - Enhance documentation of "moving;cells by drag and drop" entry
Summary: Enhance documentation of "moving;cells by drag and drop" entry
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium enhancement
Assignee: Stanislav Horacek
URL:
Whiteboard: target:4.3.0
Keywords:
Depends on:
Blocks:
 
Reported: 2014-02-28 15:13 UTC by Charles
Modified: 2014-03-11 17:49 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Charles 2014-02-28 15:13:59 UTC
The Help text for "moving;cells by drag and drop" is incomplete and not really clear, so much so that I failed to understand the full functionality of this really cool feature for many many years.

I strongly recommend that it be updated in the following manner:

1. Change the Help Title text to something like:

Old: "moving;cells by drag and drop"

New: "moving;cells, rows and columns by drag and drop"

2. Change the Help content in the following manner:

Old: "When you drag-and-drop a selection of cells on a Calc sheet, the cells normally overwrite the existing cells in the area where you drop. This is the normal overwrite mode.
When you hold down the Alt key while releasing the mouse button, you enter the insert mode."

New: "When you drag-and-drop a selection of cells, row(s) or column(s) on a Calc sheet, the cells (including the ones in selected rows or columns) normally overwrite the existing cells in the area where you drop. This is the normal overwrite mode.
Note that to drag-and-drop entire row(s) or column(s), you must select  the row(s) or column(s) you want to move (or copy) first, then when you are ready to perform the drag-and-drop, click somewhere in the selected cells, *not* on the row or column headers.
When you hold down the Alt key while releasing the mouse button, you enter the insert mode."
Comment 1 Stanislav Horacek 2014-03-10 19:04:24 UTC
Thanks for your suggestion, when we agreed on final version, I will prepare a patch for help.

The end was a bit confusing for me, I would suggest something like:
"...you want to move (or copy) first, then start dragging from selected cells, not from the row or column headers (cells would be deselected by this)."
Also, I would rather omit the (s) plurals, it is not consistent ("cells" are in plural only). Do you agree?
Comment 2 Charles 2014-03-10 19:10:40 UTC
(In reply to comment #1)
> Thanks for your suggestion, when we agreed on final version, I will prepare
> a patch for help.
> 
> The end was a bit confusing for me, I would suggest something like:
> "...you want to move (or copy) first, then start dragging from selected
> cells, not from the row or column headers (cells would be deselected by
> this)."
> Also, I would rather omit the (s) plurals, it is not consistent ("cells" are
> in plural only). Do you agree?

Certainly, that sounds fine to me - I do tend to be way too verbose and specific sometimes... ;)
Comment 3 Charles 2014-03-10 19:10:57 UTC
Oh - and  thanks very much for taking this on!
Comment 4 Stanislav Horacek 2014-03-10 19:46:22 UTC
OK, patch sent for review to Gerrit:
https://gerrit.libreoffice.org/#/c/8524/
Comment 5 Commit Notification 2014-03-11 09:39:18 UTC
Stanislav Horacek committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=2438ff53e1730c4af182568294b129de3ea0b28a

fdo#75609 make Calc drag-and-drop help more detailed



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Charles 2014-03-11 12:02:40 UTC
Thanks Stanislav!

Out of curiosity, why can't this be targeted to the next 4.2.2 release? It is only a documentation patch after all (no chance of 'regression' or anything)...
Comment 7 Stanislav Horacek 2014-03-11 17:49:49 UTC
I think that no string changes are allowed in bugfix releases in order to let translators to complete their translations (and not to force them to work on untranslated strings every month).